Audit Log File

07/23/2014 10:08 AM - Chris Pisano

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Audit Log   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1155817 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5391

  

Description

The Audits page is extremely useful in the web interface but it would be even more useful if that same information was written out to

a log file as well. That way one can pipe those logs into Splunk or LogStash etc and create searches, dashboards, alerts and open

up auditing to a wider audience without having to give access to Foreman.

Related issues:

Related to Foreman - Tracker #21879: [TRACKER] Audit every possible resource New 12/06/2017

Related to Foreman - Refactor #23610: Log audits per changed column Closed

Has duplicate Foreman - Feature #22159: Whenever an audit is created, it shou... Duplicate 01/04/2018

Associated revisions

Revision be933765 - 04/04/2018 09:27 AM - Marek Hulán

Fixes #6752 - log audit events (#5391)

History

#1 - 10/23/2014 08:20 AM - Dominic Cleal

- Bugzilla link set to 1155817

#2 - 01/14/2018 04:08 PM - Tomer Brisker

- Has duplicate Feature #22159: Whenever an audit is created, it should create a log entry with the information added

#3 - 01/16/2018 07:57 AM - Marek Hulán

- Related to Tracker #21879: [TRACKER] Audit every possible resource added

#4 - 01/16/2018 07:58 AM - Marek Hulán

The logger should be disabled by default, but it would be great to have a way to keep audit information in logs.

#5 - 01/16/2018 12:35 PM - Lukas Zapletal

Note we already have logger called "audit", there are few messages sent during fact import. Please use that logger and turn it into official audit logger.

#6 - 04/03/2018 11:11 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Marek Hulán

- Pull request https://github.com/theforeman/foreman/pull/5391 added

#7 - 04/04/2018 09:27 AM - Lukas Zapletal

- translation missing: en.field_release set to 330

#8 - 04/04/2018 10:02 AM - Anonymous
- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset be933765ac7a925d63cdea48652f6079c0425313.

#9 - 05/16/2018 12:52 PM - Lukas Zapletal

- Related to Refactor #23610: Log audits per changed column added
